Public Class Form4
    Dim printtype As Integer
   
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.供应商”中。您可以根据需要移动或移除它。
        Me.供应商TableAdapter.Fill(Me.NorthwindDataSet.供应商)
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.订单”中。您可以根据需要移动或移除它。
        Me.订单TableAdapter.Fill(Me.NorthwindDataSet.订单)
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.产品”中。您可以根据需要移动或移除它。
        Me.产品TableAdapter.Fill(Me.NorthwindDataSet.产品)

        Me.客户TableAdapter.Fill(Me.NorthwindDataSet.客户)
      
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        DgVprint1.Alignment = StringAlignment.Center '表格居中
        DgVprint1.SubTitle = "表格小标题"
        DgVprint1.MainTitle = "打印客户表"
        DgVprint1.PageFooterLeft = "页脚内容（左边）"
        DgVprint1.PageFooterRight = "页脚内容（右边）"
        '在此还可以设置其他属性，当然，也可以DGVPRINT1的悔改窗口中进行设置，效果完全一样的
        DgVprint1.Print(Me.NorthwindDataSet.客户, True)

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        DgVprint1.Alignment = StringAlignment.Center '表格居中
        DgVprint1.MainTitle = "以普通表格打印产品表"
        DgVprint1.PageHeaderLeft = "页眉内容（左边）"
        DgVprint1.PageHeaderMiddle = "页眉内容（中间）"
        DgVprint1.PrintType = VBprinter.DGVprint.mytype.GeneralPrint '表示普通表格样式
        '在此还可以设置其他属性，当然，也可以DGVPRINT1的悔改窗口中进行设置，效果完全一样的
        DgVprint1.Print(Me.NorthwindDataSet.产品, False)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        DgVprint1.MainTitle = "分栏打印（2栏打印产品表）"
        DgVprint1.Alignment = StringAlignment.Center '表格居中
        DgVprint1.PrintType = VBprinter.DGVprint.mytype.MulColsPrint '表多栏样式打印表格
        DgVprint1.Columns = 2 '表示两栏
        DgVprint1.ColumnSpace = 50 '表示栏间距，以1/100厘米为单位
        DgVprint1.LastPageMode = True '表示最后一页将先打印满各栏上边的内容，如果为false则表示最后一页先打印满左边各栏的内容
        DgVprint1.TableHeaderLeft = "表格页眉内容（左边）"
        DgVprint1.TableHeaderMiddle = "表格页眉内容（中边）"
        DgVprint1.TableHeaderRight = "表格页眉内容（右边）"
        '在此还可以设置其他属性，当然，也可以DGVPRINT1的悔改窗口中进行设置，效果完全一样的
        DgVprint1.Print(Me.NorthwindDataSet.产品, False)
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        DgVprint1.MainTitle = "横向跨页打印供应商表"
        DgVprint1.Alignment = StringAlignment.Center '表格居中
        DgVprint1.PrintType = VBprinter.DGVprint.mytype.MulPagesPrint '表横向跨页打印（主要用在列很多一页打印不下的情况）
        DgVprint1.TableFooterLeft = "表格页脚内容（左边）"
        DgVprint1.TableFooterMiddle = "表格脚眉内容（中边）"
        DgVprint1.TableFooterRight = "表格页脚内容（右边）"
        DgVprint1.FixedCols = 2 '左边的固定列数，跨页打印时，这些列每页都会打印
        '在此还可以设置其他属性，当然，也可以DGVPRINT1的悔改窗口中进行设置，效果完全一样的
        DgVprint1.Print(Me.NorthwindDataSet.供应商, False)
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        DgVprint1.MainTitle = "工资条形式打印产品表"
        DgVprint1.PrintType = VBprinter.DGVprint.mytype.GZTPrint '工资条样式打印
        DgVprint1.LineSpace = 50 '每项工资条之间的间距，以1/100厘米为单位
        DgVprint1.PrintZero = False '不打印内容为零值或为空的工资项
        DgVprint1.Print(Me.NorthwindDataSet.产品, False)
    End Sub

 
End Class